Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui
Class StandaloneSoapUICore

    java.lang.Object
      com.eviware.soapui.DefaultSoapUICore
          com.eviware.soapui.SwingSoapUICore
              com.eviware.soapui.StandaloneSoapUICore

All Implemented Interfaces:
  SoapUICore

    public class StandaloneSoapUICore

extends SwingSoapUICore

Nested Class Summary
`static class` | `StandaloneSoapUICore.SoapUITheme` Adapted theme for soapUI Look and Feel

Field Summary

Fields inherited from class com.eviware.soapui.DefaultSoapUICore
`log`

Fields inherited from interface com.eviware.soapui.SoapUICore
`DEFAULT_SETTINGS_FILE`

Constructor Summary
`StandaloneSoapUICore(boolean init)`
`StandaloneSoapUICore(java.lang.String settingsFile)`

Method Summary
`void` | `initSoapUILookAndFeel()`
`void` | `prepareUI()`

Methods inherited from class com.eviware.soapui.SwingSoapUICore
`afterStartup, importSettingsOnStartup, initSettings`

Methods inherited from class com.eviware.soapui.DefaultSoapUICore
`addExternalListeners, createDefault, getActionRegistry, getExtensionClassLoader, getListenerRegistry, getMockEngine, getRoot, getSettings, importSettings, init, initActionRegistry, initCoreComponents, initDefaultSettings, initExtensions, initListenerRegistry, initLog, loadExternalLibraries, saveSettings`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandaloneSoapUICore

    public StandaloneSoapUICore(boolean init)

### StandaloneSoapUICore

    public StandaloneSoapUICore(java.lang.String settingsFile)

Method Detail

### prepareUI

    public void prepareUI()

  Overrides:
    `prepareUI` in class `SwingSoapUICore`

### initSoapUILookAndFeel

    public void initSoapUILookAndFeel()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.